Subject: bug#36936: closed (Re: bug#36936: Invalid function: (progn (require 'hyrolo) (find-file (car hyrolo-file-list)) (setq buffer-read-only nil)))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Aug 2019 04:44:03 +0000

Your bug report

#36936: Invalid function: (progn (require 'hyrolo) (find-file (car hyrolo-file-list)) (setq buffer-read-only nil))

which was filed against the hyperbole package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36936: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36936
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36936: Invalid function: (progn (require 'hyrolo) (find-file (car hyrolo-file-list)) (setq buffer-read-only nil))
From: Robert Weiner <[email-masked]>
To: [email-masked]
Cc: Jean Louis <[email-masked]>
Date: Tue, 6 Aug 2019 00:43:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: hyperbole
Version: 7.0.4

Fixed.

On Tue, Aug 6, 2019 at 12:41 AM Robert Weiner <[email-masked]> wrote:

> Good catch.  This should have been a function but was just an expression.
> Fixed for the next release.
>
> Bob
>
>
> On Mon, Aug 5, 2019 at 12:50 PM Jean Louis <[email-masked]> wrote:
>
>> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
>> toolkit, Xaw3d scroll bars)
>>
>>         Hyperbole:   7.0.3
>>         Sys Type:    x86_64-pc-linux-gnu
>>         OS Type:     gnu/linux
>>         Window Sys:  x
>>         News Reader: Gnus v5.13
>>
>> When choosing Rolo -> Edit Rolo entry, this is what I get.
>>
>> id-tool-invoke: Invalid function: (progn (require 'hyrolo) (find-file
>> (car hyrolo-file-list)) (setq buffer-read-only nil))
>>
>>
>>
>> _______________________________________________
>> Bug-hyperbole mailing list
>> [email-masked]
>> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>>
>

Subject: Invalid function: (progn (require 'hyrolo) (find-file (car hyrolo-file-list)) (setq buffer-read-only nil))
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Mon, 05 Aug 2019 01:33:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)

        Hyperbole:   7.0.3
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13

When choosing Rolo -> Edit Rolo entry, this is what I get.

id-tool-invoke: Invalid function: (progn (require 'hyrolo) (find-file (car hyrolo-file-list)) (setq buffer-read-only nil))